### Signal

# Gtk Widget::query-tooltip

#### Declaration

    gboolean
    query_tooltip (
      GtkWidget* self,
      gint x,
      gint y,
      gboolean keyboard_mode,
      GtkTooltip* tooltip,
      gpointer user_data
    )

#### Description [src]

Emitted when the widget’s tooltip is about to be shown.

This happens when the `GtkWidget:has-tooltip` property is true and the hover timeout has expired with the cursor hovering above `widget`; or emitted when `widget` got focus in keyboard mode.

Using the given coordinates, the signal handler should determine whether a tooltip should be shown for `widget`. If this is the case true should be returned, false otherwise. Note that if `keyboard_mode` is true, the values of `x` and `y` are undefined and should not be used.

The signal handler is free to manipulate `tooltip` with the therefore destined function calls.

Default handler: The default handler is called after the handlers added via `g_signal_connect()`.

#### Parameters

`x`

  Type: `gint`

  The x coordinate of the cursor position in widget coordinates.

`y`

  Type: `gint`

  The y coordinate of the cursor position in widget coordinates.

`keyboard_mode`

  Type: `gboolean`

  True if the tooltip was triggered using the keyboard.

`tooltip`

  Type: `GtkTooltip`

  A `GtkTooltip`.

  The data is owned by the caller of the function.

#### Return value

Type: `gboolean`

True if `tooltip` should be shown right now, false otherwise.